#==============================================================================
#
#  $Id$
#
"""
    Cheesey logging function.
"""
#
#   Copyright (C) 2007 Michael A. Muller
#   Copyright (C) 2008 Google Inc.
#
#   This file is part of SpugEdit.
#
#   SpugEdit is free software: you can redistribute it and/or modify it under
#   the terms of the GNU Lesser General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   SpugEdit is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with SpugEdit.  If not, see <http://www.gnu.org/licenses/>.
#
#==============================================================================

import time

def log(msg):
    print '%s %s' % (time.strftime('%H%M%S'), msg)

def error(msg):
    _tracer(msg)

_tracer = lambda x: None
def setTracer(tracer):
    global _tracer
    _tracer = tracer

def trace(msg):
    _tracer(msg)