#!/usr/bin/env python

from distutils.core import setup

long_description = '''SpugEdit (a.k.a. "yed") - yet another programmer's 
editor.

SpugEdit is an experimental programmers' editor written entirely in Python 
using Tkinter.  It features syntax highliting, unlimited undo/redo, multiple 
buffers, remote access, customization/extensibility, an integrated python 
shell and more.
'''

setup(name = 'spugedit',
      version = '0.2',
      author = 'Michael A. Muller',
      author_email = 'mmuller@enduden.com',
      url = 'http://www.mindhog.net/~mmuller/projects/spugedit',
      description = "A programmer's editor.",
      long_description = long_description,
      package_dir = {'': 'lib'},
      packages = ['yed', 'yed.buf', 'yed.data'],
      scripts = ['scripts/yed']
      )
